@import "@/styles/variables";

.reset-button {
    font-size: calc($fs-p-lg + 0.8rem);
    font-family: $primary-font-semibold;
    text-align: center;
    display: flex;
    align-items: center;
    gap: 0.5rem;
    cursor: pointer;
    background-color: transparent;

    span {
        font-size: $fs-p-lg;
    }

    &_end {
        margin-left: auto;

        @include notebook {
            margin-left: 0;
        }
    }

    &_color-primary {
        color: $primary-color;

        &:hover {
            color: $primary-color-hover;
        }

        &:active {
            color: $primary-color-active;
        }
    }

    &_color-secondary {
        color: $secondary-color;

        &:hover {
            color: $secondary-color-hover;
        }

        &:active {
            color: $secondary-color-active;
        }
    }
}
